> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/newsroom-planner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/newsroom-planner/master-25/admin-guide/settings/customization.md).

# Customization

### Cards

#### Use avatars:

```javascript
Switchbutton: false/true // {1}
```

1. Whether to use linked avatars or signature from author *Concepts*

### Colors/Icons mapping

#### Event color mapping:

```javascript
"draft": {
    "key": "imext:draft", //{1}
    "color": "#fff", //{2}
    "background": "#757575", //{3}
    "label": "Draft" //{4}
},
"done": {
    "key": "imext:done",
    "background": "#2EAB50",
    "label": "Done"
},
"published": {
    "key": "stat:usable",
    "background": "#288DC0",
    "label": "Published"
}
```

1. The key used to match status from NewsML/extension format
2. Color of the text in *Event* details
3. Base background color for cards as well as the dropdown in detail view for *Event*
4. Label to display for dropdown in *Event* detail view

#### PlanningItems color mapping:

```javascript
{
    "draft": {
        "key": "imext:draft", //{1}
        "color": "#fff", //{2}
        "background": "#757575", //{3}
        "label": "Draft" //{4}
    },
    "done": {
        "key": "imext:done", //{1}
        "background": "#2EAB50", //{3}
        "label": "Done" //{4}
    },
    "usable": {
        "key": "stat:usable", //{1}
        "background": "#288DC0", //{3}
        "label": "Usable" //{4}
    },
    "withheld": {
        "key": "stat:withheld", //{1}
        "background": "#01D5E0", //{3}
        "label": "Withheld", //{4}
        "inverted": true //{5}
    }
}
```

1. The key used to match status from NewsML/extension format
2. Color of the text for a item in *Planning* detail view status dropdown
3. Base background color for cards as well as the dropdown in detail view for *Planning* items
4. Label to display for dropdown in *Planning* detail view
5. A specific flag that will turn the border of cards striped

#### Assignments color mapping:

```javascript
{
    "draft": {
        "key": "imext:draft", //{1}
        "color": "#ffffff", //{2}
        "background": "#757575", //{3}
        "label": "Draft"
    },
    "done": {
        "key": "imext:done", //{1}
        "color": "#ffffff", //{2}
        "background": "#29bf3b", //{3}
        "label": "Done" //{4}
    },
    "usable": {
        "key": "stat:usable", //{1}
        "color": "#ffffff", //{2}
        "background": "#288DC0", //{3}
        "label": "Usable" //{4}
    },
    "withheld": {
        "key": "stat:withheld", //{1}
        "color": "#000000", //{2}
        "background": "#f5af00", //{3}
        "label": "Pending" //{4}
    }
}
```

1. The key used to match status from NewsML/extension format
2. Color of the text for a item in *Assignment* detail view status dropdown
3. Base background color for cards as well as the dropdown in detail view for *Assignment* items
4. Label to display for dropdown in *Assignment* detail view

#### Articles color mapping:

```javascript
{
    "draft": {
        "key": "draft", //{1}
        "background": "#9d9d9d" //{2}
    },
    "withheld": {
        "key": "withheld", //{1}
        "background": "#01b9fc", //{2}
    },
    "done": {
        "key": "done", //{1}
        "background": "#18c391" //{2}
    },
    "usable": {
        "key": "usable", //{1}
        "background": "#01b9fc" //{2}
    }
}
```

1. The key used to match status from NewsML/extension format. *(Usually shortened version of pubStatus qcode i.e stat:usable -> usable)*
2. Color of the icons for an article with specific status

#### Assignment types:

```javascript
[
    {
        "key": "ninat:text", //{1}
        "label": "Text", //{2}
        "iconClass": "document-new" //{3}
    },
    {
        "key": "ninat:picture", //{1}
        "label": "Image", //{2}
        "iconClass": "photo" //{3}
    },
    {
        "key": "ninat:graphic", //{1}
        "label": "Graphic", //{2}
        "iconClass": "graph-pie" //{3}
    },
    {
        "key": "ninat:video", //{1}
        "label": "Video", //{2}
        "iconClass": "media-play" //{3}
    }
]
```

1. News codes following the IPTC standard (<http://cv.iptc.org/newscodes/ninature/>)
2. A readable label used to display the type in detail view
3. Icon to display type on cards, using the built in types of Dashboard (<http://demo.amitjakhu.com/dripicons/>)

### Columns

#### Default number of columns:

* The starting amount of columns to display *(default 7)*

#### Max number of columns:

* The max amount of columns to display *(default 7)*

#### Column width (px):

* The amount of pixels wide a column should be *(default 300)*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.navigaglobal.com/newsroom-planner/master-25/admin-guide/settings/customization.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
